
/* setting variables */
:root{
    --primary-text-color: #444;
    --background-salmon:#FFCD87;
    --background-purple:#C9BAD1;
    --background-blue:#B5F7F7;
    --background-grey:#BFBFBF;
    --background-green:#DBE69A;
    --background-pink:#FCDCDC;
    --background-yellow:#FFFF70;
    --background-olive:#B4C46C;
    --background-red:#FAA18F;

    --background-searchCriteriaContainer: #F7FDFF;
    --background-changeDataContainer: #F7FDFF;    
}

template{
  display:none;
}

.generic_card{
    border: 1px solid #ccc;
    border-radius:5px;
    padding: 20px;
}

pre{
  font-family:var(--bs-body-font-family);
  font-size:var(--bs-body-font-size);
}


/* overriding bootstrap defaults */

.btn{
  font-family: Arial;
  font-size:12px;
}
.btn-sm{
  font-size:12px;
}

.btn-primary{
  background-color:#193575;
  color: white;
  border-color: #ddd;
}

.btn-primary:hover{
  background-color:#1E47B3;
  color: white;
  border-color: #ddd;
}

/* file upload library */
.backLayer{
  display:none;
  z-index:1000;
  position:fixed;
  top:0px;
  left:0px;
  width:100%;
  height:100%;
}
.fileUpload_dropZone{
  display:none;
  z-index:1001;
  min-height:200px;
  width: 60%;
  left:20%;
  margin:auto;
  background-color:#F9F5FF;
  border: 1px solid #aaa;
  border-radius:5px;
  position:fixed;
  top: 120px;
}
.documentModal_title{
  text-align:center;
  border-bottom:1px solid #ccc;
  margin-bottom:10px;
  margin-top: 5px;
  padding-bottom:10px;
}
.fileUpload_fileList{
  max-height:300px;
  overflow-y:scroll;
  margin-bottom:20px;
}
.documentModal_line{
  padding-left:10%;
  padding-top: 5px;
  font-size: 20px;
}
.documentModal_line:hover{
  background-color: #ccc;
  cursor:pointer;
}
.documentModal_line img {
  position:relative;
  top:-2px;
  left: -10px;
}


/* formularios */ 

.formGroup_right{
  border-bottom: 1px solid #888;
  border-right: 1px solid #888;
  padding:5px 15px;
}
.formLabel{
  background-color: var(--background-grey);
  font-weight:bold;
  padding:5px 15px;
}


@media only screen and (max-width: 768px) {
.fileUpload_dropZone{
  width: 90%;
  left:5%;
}


     
}